Problème de paquet [Résolu]

Signaler
-
Messages postés
29975
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
20 juillet 2021
-
Bonjour,

je suis un débutant sous Ubuntu et j'aurait besoin de votre aide pour un léger problème qui m'irrite depuis quelque temps.

Quand je met à jour mes paquet depuis un terminal j'ai ceci écrit concernant un paquet google-cloud-sdk :

W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Packages (main/binary-i386/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-fr_CA) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons-hidpi (main/dep11/***@***) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible CNF (main/cnf/Commands-amd64) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible CNF (main/cnf/Commands-all) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : https://repo.protonvpn.com/debian stable InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 71EB474019940E11
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Packages (main/binary-i386/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Packages (main/binary-all/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-fr_CA) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-fr) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible Translations (main/i18n/Translation-en) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11 (main/dep11/Components-amd64.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11 (main/dep11/Components-all.yml) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons-small (main/dep11/icons-48x48.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons (main/dep11/icons-64x64.tar) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible DEP-11-icons-hidpi (main/dep11/***@***) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible CNF (main/cnf/Commands-amd64) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2
W: La cible CNF (main/cnf/Commands-all) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2


Est ce que quelqu'un pourrait m'éclairer ?

Cordialement, Anonyme

2 réponses

Messages postés
29975
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
20 juillet 2021
7 137
Bonjour,

Tu as deux erreurs, a priori indépendantes.

1)
W: La cible Packages (main/binary-amd64/Packages) est spécifiée plusieurs fois dans /etc/apt/sources.list.d/google-cloud-sdk.list:1 et /etc/apt/sources.list.d/google-cloud-sdk.list:2


Ton problème n'est pas lié à un paquet, mais à un dépôt mal configuré dans
apt
.

Vu le message d'erreur, c'est dû au fichier
/etc/apt/sources.list.d/google-cloud-sdk.list
. Peux-tu nous reporter son contenu ? A mon avis, la même ligne est écrite en double, et il suffirait de supprimer l'une des deux pour régler le problème. Tu peux modifier ce fichier e.g. via :

sudo nano /etc/apt/sources.list.d/google-cloud-sdk.list


(ctrl x pour sauver et quitter).

2)
W: Une erreur s'est produite lors du contrôle de la signature. Le dépôt n'est pas mis à jour et les fichiers d'index précédents seront utilisés. Erreur de GPG : https://repo.protonvpn.com/debian stable InRelease : Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY 71EB474019940E11


Cette erreur signifie que la clé GPGP associée au dépôt protonvpn n'est pas dans la liste des clés de confiance d'
apt
. Comme expliqué ici, tu peux ajouter cette clé avec la commande :

wget -qO - https://repo.protonvpn.com/debian/public_key.asc | sudo tee /etc/apt/trusted.gpg.d/protonvpn.gpg.asc >/dev/null


Pour rappel, les clés permettent de vérifier qu'un paquet a été produit par un tiers de confiance. En ajoutant la clé de
protonvpn
dans
apt
, tu lui signifies que tu fais confiance à cet éditeur et qu'il peut installer les paquets qu'il met à disposition.

Bonne chance
Merci beaucoup, tu viens de m'enlever 30 ligne d'erreur à chaque fois que je fais un :

sudo apt update.
Messages postés
29975
Date d'inscription
jeudi 12 mai 2005
Statut
Modérateur
Dernière intervention
20 juillet 2021
7 137
C'était le but :-) Bonne continuation ;-)